/****************************************************************
 *** utils.c
 ****************************************************************/

#ifndef UTILS_H
#define UTILS_H

#include <stdio.h>
#include <sys/types.h>
#include <stdint.h>

#ifndef __BEGIN_DECLS
#if defined(__cplusplus)
#define __BEGIN_DECLS   extern "C" {
#define __END_DECLS     }
#else
#define __BEGIN_DECLS
#define __END_DECLS
#endif
#endif

#ifdef HAVE_ERR_H
#include <err.h>
#else
__BEGIN_DECLS
void err(int eval,const char *fmt,...);
void errx(int eval,const char *fmt,...);
void warn(const char *fmt, ...);
void warnx(const char *fmt,...);
__END_DECLS
#endif

#ifndef HAVE_ISHEXNUMBER
__BEGIN_DECLS
extern int ishexnumber(int c);
__END_DECLS
#endif

__BEGIN_DECLS
int ends_with(const char *buf,const char *with);
void fputascii(FILE *f,unsigned char *buf,int len);
int64_t get_filesize(int fd);
__END_DECLS


#endif
